Subject: bug#62116: RFE: eglot: support window.showDocument LSP RPC

From: João Távora <[email-masked]>
Date: Mon, 8 May 2023 17:36:43 +0100

On Mon, May 8, 2023 at 2:23 PM Felician Nemeth
<[email-masked]> wrote:
>
> Felician Nemeth <[email-masked]> writes:
>
> > If I understand it correctly, you argued that if takeFocus is false,
> > Eglot should still show the requested file, but the point should remain
> > were it was.  I think you're right, but I haven't updated my patch yet.
>
> It is enough to call display-buffer.  I've attached the new patch and a
> simple test that can be run with "emacs -Q -l test.el".
>
> Since it advances the status quo, can this be merged?  If not, how
> should we proceed?

Haven't looked at it, but I'd say yes.  However, Alan Donovan
has replied recently, with a recipe showcasing his particular
use case.  I dont' have time to try it right now, but if you
could try his recipe/use case with your solution, it would be
great.

One note that I didn't yet reply to is that IMO (likely in Alan's
opinion too), it does make sense to raise the frame.  The
showDocument may indeed come from somewhere else which is not
Emacs at all.  I used to work with Common Lisp IDEs like that
allowed the application being developed to issue requests to
the editor and pop it up to the user.  It was extremely convenient.

João